Constants (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat5.Constants class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat5
Class Constants

    java.lang.Object
      org.apache.coyote.tomcat5.Constants

public final class Constants
extends java.lang.Object

Constants.

Author:
  Remy Maucherat

Field Summary
`static java.lang.String` | `AUTHORIZATION_HEADER` Default header names.
`static int` | `DEFAULT_CONNECTION_LINGER`
`static int` | `DEFAULT_CONNECTION_TIMEOUT`
`static int` | `DEFAULT_CONNECTION_UPLOAD_TIMEOUT`
`static int` | `DEFAULT_SERVER_SOCKET_TIMEOUT`
`static java.lang.String` | `Package`
`static int` | `PROCESSOR_ACTIVE`
`static int` | `PROCESSOR_IDLE`
`protected static boolean` | `SECURITY` Security flag.
`static java.lang.String` | `SSL_CERTIFICATE_ATTR` SSL Certificate Request Attributite.

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_LINGER

    public static final int DEFAULT_CONNECTION_LINGER

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_TIMEOUT

    public static final int DEFAULT_CONNECTION_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_UPLOAD_TIMEOUT

    public static final int DEFAULT_CONNECTION_UPLOAD_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_SERVER_SOCKET_TIMEOUT

    public static final int DEFAULT_SERVER_SOCKET_TIMEOUT

See Also:
  Constant Field Values

### PROCESSOR_IDLE

    public static final int PROCESSOR_IDLE

See Also:
  Constant Field Values

### PROCESSOR_ACTIVE

    public static final int PROCESSOR_ACTIVE

See Also:
  Constant Field Values

### AUTHORIZATION_HEADER

    public static final java.lang.String AUTHORIZATION_HEADER

  Default header names.

  See Also:
    Constant Field Values

### SSL_CERTIFICATE_ATTR

    public static final java.lang.String SSL_CERTIFICATE_ATTR

  SSL Certificate Request Attributite.

  See Also:
    Constant Field Values

### SECURITY

    protected static final boolean SECURITY

  Security flag.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.